Calendar occurrences for vehicles within a date range.
- Create and assign chauffeur to user
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
- Mock serverhttps://docs.transportial.com/_mock/apis/user/login
- Test environmenthttps://test.api.otms.transportial.com/api/user/login
- Productionhttps://api.otms.transportial.com/api/user/login
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/user/login \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"username": "string",
"password": "string"
}'{ "success": true, "message": "string", "code": 0, "session": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": { … }, "platforms": [ … ], "user": { … }, "refresh_token": "string", "ip": "string", "device": "string", "permissions": [ … ], "startedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "endedAt": "2019-08-24T14:15:22Z", "passedTwoFactorAuthentication": true, "access_token": "string" } }
Request
Creates a new Chauffeur from payload and links it to the specified User; User must not already have a chauffeur.
Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
- Mock serverhttps://docs.transportial.com/_mock/apis/user/{id}/create-chauffeur
- Test environmenthttps://test.api.otms.transportial.com/api/user/{id}/create-chauffeur
- Productionhttps://api.otms.transportial.com/api/user/{id}/create-chauffeur
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/user/{id}/create-chauffeur' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "driver",
"picture": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"user": {},
"firstName": "string",
"lastName": "string",
"dateOfBirth": "2019-08-24",
"birthPlace": "string",
"nationality": "string",
"hoursPerMonth": 0.1,
"preferredVehicle": {},
"capacityContract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"client": {},
"clientSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
},
"business": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"taxRates": [
{
"nonce": "string",
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"filters": [
{
"filters": []
}
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{
"filters": []
}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
}
},
"integration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"directionType": "in",
"connectionType": "api",
"requestMethod": "get",
"dataType": "xml",
"entityType": "action",
"url": "string",
"port": 0,
"path": "string",
"token": "string",
"query": "string",
"parameters": [
{
"sequenceNr": 0,
"type": "constant",
"regex": "string",
"format": "string",
"locale": "string",
"zoneId": "string",
"incomingPath": "string",
"outgoingPath": "string",
"insertRegexSelector": "string",
"insertType": "before",
"insertValue": "string",
"defaultValue": "string",
"fields": [
{}
],
"filters": [
null
],
"options": [
null
]
}
],
"allowedIps": [
"string"
],
"hasAuthentication": true,
"credentials": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"authenticationMethod": "apiKey",
"username": "string",
"password": "string",
"accessKey": "string",
"secretKey": "string",
"clientId": "string",
"clientSecret": "string",
"grantType": "string",
"scope": "string",
"apiKey": "string",
"bearer": "string",
"sshKey": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {
"language": {}
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[]
]
},
"sshTunnel": true,
"sshHost": "string",
"sshUsername": "string",
"sshPassword": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"headers": {
"property1": {},
"property2": {}
},
"oauthUrl": "string",
"oAuthCache": "string",
"oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
"openIdToken": "string",
"openIdRefreshToken": "string",
"openIdAccessToken": "string",
"openIdExpiration": "2019-08-24T14:15:22Z"
},
"otm": true,
"fields": [
{
"sequenceNr": 0,
"type": "constant",
"regex": "string",
"format": "string",
"locale": "string",
"zoneId": "string",
"incomingPath": "string",
"outgoingPath": "string",
"insertRegexSelector": "string",
"insertType": "before",
"insertValue": "string",
"defaultValue": "string",
"fields": [
{}
],
"filters": [
null
],
"options": [
null
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"template": true
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{
"name": "string",
"groupByAggregate": "count"
}
],
"entityType": "action",
"joins": [
{
"type": "inner_join",
"entityType": "action",
"onLeft": {},
"onRight": {}
}
],
"filters": [
{
"nonce": "string",
"sequenceNr": 0,
"field": "string",
"comparisonOperations": "equal",
"value": "string",
"valueType": "constant",
"linkType": "and"
}
],
"groupBy": [
{
"name": "string",
"groupByAggregate": "count"
}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{
"name": "string",
"groupByAggregate": "count"
}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {
"property1": "string",
"property2": "string"
},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{
"associationType": "inline"
}
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"lat": 0.1,
"lon": 0.1,
"speed": {
"value": "string",
"unit": "string"
},
"heading": {
"value": "string",
"unit": "string"
},
"bearing": {
"value": "string",
"unit": "string"
},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
{
"associationType": "inline"
}
],
"actors": [
{
"associationType": "inline"
}
],
"actions": [
{
"associationType": "inline"
}
],
"constraints": [
{}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"attributes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"color": "string"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
{
"amount": 0.1,
"relationship": {}
}
]
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"weekDays": [
"sunday"
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"capacityUnits": 0,
"weekDay": "sunday",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"pricingModules": [
{
"language": {},
"taxRates": [],
"filters": []
}
]
}
],
"timeSlots": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"date": "2019-08-24T14:15:22Z",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"consignments": [
{
"language": {},
"goods": [],
"team": {},
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"documents": [],
"actors": [],
"actions": [],
"constraints": [],
"identifiers": [],
"attributes": [],
"externalAttributes": {},
"nextPlanFromAction": {}
}
],
"route": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"time": 0,
"cost": 0,
"distance": 0,
"expenses": [
null
],
"additionalInfo": {
"property1": {},
"property2": {}
},
"lineString": "string",
"actors": [
null
],
"actions": [
{}
],
"constraints": [
null
],
"identifiers": [
null
]
}
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"language": {},
"identifiers": []
},
"filters": [
null
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
null
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
},
"adr": {
"hasADR": true,
"ADRNumber": "string",
"ADRValidFromDate": "2019-08-24",
"ADRExpirationDate": "2019-08-24",
"ADRFiles": [
{
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
]
},
"driverLicense": {
"hasDriverLicense": true,
"driverLicenseNumber": "string",
"driverLicenseValidFromDate": "2019-08-24",
"driverLicenseExpirationDate": "2019-08-24",
"driverLicenseObtainedOn": "2019-08-24",
"driverLicenseCountryOfIssue": "string",
"driverLicenseIssuingAuthority": "string",
"driverLicenseFiles": [
{
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
]
},
"tachoCard": {
"cardId": "string",
"countryOfIssue": "string",
"renewalIndex": "string",
"replacementIndex": "string",
"startOfValidity": "2019-08-24T14:15:22Z",
"endOfValidity": "2019-08-24T14:15:22Z"
},
"operational": true,
"remainingRestingTimes": {
"workWeek": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"workWeekEndWithoutCompensation": "2019-08-24T14:15:22Z",
"nextMinimumWeeklyRestWithoutCompensation": 0,
"breakBelowMinimum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"previousDailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"remainingDrivingTimes": {
"daysOfReducedRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyAmplitude": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"drivingTimeBelowMaximum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfDrivingLongerThan9h": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"weeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"BIWeeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfConsecutiveDriving": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"upcomingRestingTimes": {
"week": 0,
"year": 0,
"upcomingRestingTime": 0
},
"languages": [
"string"
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"boardComputers": [
{}
],
"lastActivity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "work",
"lifeCycle": "requested",
"chauffeur": {},
"vehicle": {},
"transportEquipments": [
{}
],
"trip": {},
"name": "string",
"description": "string",
"remarks": "string",
"kmsStart": 0,
"kmsEnd": 0,
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z",
"isFromTacho": true
},
"contactDetails": [
{
"associationType": "inline"
}
],
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true,
"identifiers": [
{
"language": {}
}
]
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
null
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
]
}'{ "success": true, "message": "string", "code": 0, "chauffeur": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "driver", "picture": { … }, "user": {}, "firstName": "string", "lastName": "string", "dateOfBirth": "2019-08-24", "birthPlace": "string", "nationality": "string", "hourlyRate": { … }, "hoursPerMonth": 0.1, "preferredVehicle": {}, "capacityContract": { … }, "adr": { … }, "driverLicense": { … }, "tachoCard": { … }, "operational": true, "remainingRestingTimes": { … }, "remainingDrivingTimes": { … }, "upcomingRestingTimes": { … }, "languages": [ … ], "notes": [ … ], "boardComputers": [ … ], "lastActivity": { … }, "contactDetails": [ … ], "pricingModules": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/user/email/exists/{email}
- Test environmenthttps://test.api.otms.transportial.com/api/user/email/exists/{email}
- Productionhttps://api.otms.transportial.com/api/user/email/exists/{email}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/user/email/exists/{email}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "exists": true }
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.